Hi,

I have tried many times to compile the newest version of slrn under
Slackware 12. Compiling against version 2 slang that comes with
slackware the compiler finds the required libraries:

checking for the slang library and header files ... yes: /usr/lib and
/usr/include

But always fails on make:

slang.h does not match slang library version. Did you install slang
as as a shared library? Did you run ldconfig? You have an installation
problem and you will need to check the SLANG variables in the Makefile and
properly set them. Also try: make clean; make

The workaround I have used is to compile my own slang 2 and place it
in //usr/local/libslang and then compile against it:

../configure --prefix=/usr/local \
--with-slang=/usr/local/libslang

Has anybody else had a similar problem?

Andrew




--
Among the tales of sorrow and of ruin that come down to us
from the darkness of those days there are yet some in which
amid weeping there is joy and under the shadow of death light
endures ...